Loading...
Searching...
No Matches
Halide::Error Struct Reference

A base class for Halide errors. More...

`#include <Error.h>`

Inheritance diagram for Halide::Error:

## Public Member Functions

| Error ()=delete
| Error (const char *msg)
| Error (const std::string &msg)
| Error (const Error &)
Error & | operator= (const Error &)
| Error (Error &&) noexcept
Error & | operator= (Error &&) noexcept
virtual | ~Error ()
virtual const char * | what () const noexcept

## Detailed Description

A base class for Halide errors.

Note that this deliberately does not descend from std::runtime_error, or even std::exception; unfortunately, std::runtime_error is not marked as DLLEXPORT on Windows, but Error needs to be marked as such, and mismatching DLLEXPORT annotations in a class inheritance hierarchy in this way can lead to ODR violations. Instead, we just attempt to replicate the API of runtime_error here.

Definition at line 23 of file Error.h.

## Constructor & Destructor Documentation

## Error() [1/5]

Halide::Error::Error | ( |  | ) |

delete

Referenced by Error(), Error(), operator=(), operator=(), and ~Error().

## Error() [2/5]

Halide::Error::Error | ( | const char * | msg | ) |

explicit

## Error() [3/5]

Halide::Error::Error | ( | const std::string & | msg | ) |

explicit

## Error() [4/5]

Halide::Error::Error | ( | const Error & |  | ) |

References Error().

## Error() [5/5]

Halide::Error::Error | ( | Error && |  | ) |

noexcept

References Error().

## ~Error()

virtual Halide::Error::~Error | ( |  | ) |

virtual

References Error().

## Member Function Documentation

## operator=() [1/2]

Error & Halide::Error::operator= | ( | const Error & |  | ) |

References Error().

## operator=() [2/2]

Error & Halide::Error::operator= | ( | Error && |  | ) |

noexcept

References Error().

## what()

virtual const char * Halide::Error::what | ( |  | ) | const

virtual noexcept

References what().

Referenced by what().

The documentation for this struct was generated from the following file:

- src/Error.h